var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { html, LitElement } from "lit";
import { customElement, property } from "lit/decorators.js";
import { chevronSvg } from "../assets/svg-ts/chevron";
import { globalStyles } from "../styles";
let DevConsoleListItem = class DevConsoleListItem extends LitElement {
    constructor() {
        super(...arguments);
        this.product = {
            uniqueKey: "",
            name: ""
        };
        this.isMobile = false;
        this.activeProductKey = "";
        this.mobileClosedProduct = "";
    }
    checkActive() {
        let result = false;
        if (this.activeProductKey === this.product.uniqueKey)
            result = true;
        if (this.isMobile && this.mobileClosedProduct === this.product.uniqueKey)
            result = false;
        return result;
    }
    render() {
        return html `
            <li
                class="flex items-center justify-between text-sm font-semibold px-6 py-2 cursor-pointer group hover:bg-highlight"
                value=${this.product.uniqueKey}
                @click=${() => this._dispatchItemSelect(this.product.uniqueKey)}
            >
              <div class="flex space-x-2 items-center">
                <img
                src="https://dev.assets.developer.tech.gov.sg/svg/products/${this.product.uniqueKey}.inline.svg"
                />
                <p class="text-sm font-semibold  ${this.checkActive() ? "text-highlight" : "text-gray-700"} group-hover:text-white">${this.product.name}</p>
              </div>
              <div class="md:hidden w-6 group-hover:text-white ${this.checkActive() ? "rotate-180 text-highlight" : "rotate-0 text-gray-700"}">
                  ${chevronSvg}
              </div>
            </li>
            ${this.checkActive() ? html `
              <slot name="product-details"></slot>  
            ` : html ``}   
        `;
    }
    _dispatchItemSelect(uniqueKey) {
        if (uniqueKey) {
            const options = {
                detail: { uniqueKey, fromMobile: this.isMobile },
                bubbles: true,
                composed: true,
            };
            this.dispatchEvent(new CustomEvent("itemSelect", options));
        }
    }
};
DevConsoleListItem.styles = [globalStyles];
__decorate([
    property({ attribute: ".product" })
], DevConsoleListItem.prototype, "product", void 0);
__decorate([
    property()
], DevConsoleListItem.prototype, "isMobile", void 0);
__decorate([
    property()
], DevConsoleListItem.prototype, "activeProductKey", void 0);
__decorate([
    property()
], DevConsoleListItem.prototype, "mobileClosedProduct", void 0);
DevConsoleListItem = __decorate([
    customElement("dev-console-list-item")
], DevConsoleListItem);
export { DevConsoleListItem };
//# sourceMappingURL=dev-console-product-item.js.map