/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: BSD-3-Clause
 */
import { LitElement, CSSResultGroup } from "lit";
import "./components/dev-console-product-item.js";
/**
 * @fires count-changed - Indicates when the count changes
 * @slot - This element has a slot
 * @csspart button - The button
 */
export declare class DevConsoleWidget extends LitElement {
    static styles?: CSSResultGroup | undefined;
    outsideClickListener: (event: Event) => void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    iconHeight: string;
    iconWidth: string;
    iconColor: string;
    isMobile: boolean;
    activeProductKey: string;
    isOpen: boolean;
    productDetailsMap: any;
    mobileClosedProduct: string;
    fetchData(): Promise<void>;
    getActiveProductObj(): any;
    shouldDisplayAccordion(productKey: string): boolean;
    desktopView(): import("lit-html").TemplateResult<1>;
    mobileView(): import("lit-html").TemplateResult<1>;
    render(): import("lit-html").TemplateResult<1>;
    private _selectListener;
}
declare global {
    interface HTMLElementTagNameMap {
        "dev-console-widget": DevConsoleWidget;
    }
}
//# sourceMappingURL=dev-console-widget.d.ts.map